Help users choose file type in advanced parameters form
Closed, ResolvedPublic

Description

Motivation
When users want to restrict their search to certain file types, they should be guided to only select what is existing.

Task

  • use the MenuTagMultiselectWidget and show all file types that are supported by mediawiki in the dropdown
  • when a file type is selected for which width/height is applicable, show a width and height field
  • Have checkboxes above the file type input box which allow users to choose bundled types (e.g. images)
    • When the user selects a checkbox, all appropriate file types are added to the input box
    • When the user unselects a checkbox, all appropriate file types are deleted from the input box
    • When the user deletes one of the appropriate file types, e.g. ".jpg", the corresponding checkbox, e.g. "image" is unselected

I think the way proposed in the mokup would require T151347 (closed but not fixed) to be fixed first?

You're right. At the moment there can be only one filetype, combining them with OR does not work.

Example (looking for an "image" type of either bitmap or vector)

To avoid confusion, I propose a select box instead of a free-form field with presets.

gabriel-wmde updated the task description. (Show Details)May 29 2017, 3:32 PM

@Lea_WMDE: Yes, I agree a select box is a good solution.
@gabriel-wmde: Lets use a select box like DropdownWidget (with MenuSectionOptionWidget)‎, since that has groupings/subheadlines, too.

Lea_WMDE renamed this task from Search prototype: Help users choose file types to Help users choose file type in advanced parameters form.May 30 2017, 4:45 PM

Question for @Jan_Dittrich : What should the default (empty) file type be called? "No file type" or just an empty field?

Answer: Tricky. I would go with an empty field for now, since that is what the other fields have.

More thinking: One concern I have, is that users will put in a filetype and subsequently wonder that they don't get any articles anymore.

In other search interfaces, file search is on another mode of the interface (google vs. google images or so; but for us if could also be another tab ) but I don't know if that is feasible for us/ the way images can be searched.

Tobi_WMDE_SW closed this task as Resolved.Jul 5 2017, 8:15 AM